> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nugen.in/llms.txt
> Use this file to discover all available pages before exploring further.

# List Evaluations

> Retrieve all evaluations for the authenticated user.


This endpoint returns a paginated list of all evaluations created by the user, with optional filtering by status or model ID.


**Query Parameters:**

- `status` (optional): Filter by evaluation status (`PROCESSING`, `READY`, `FAILED`)
- `model_id` (optional): Filter by specific model ID
- `limit` (optional): Number of evaluations to return (1-100, default: 10)
- `offset` (optional): Number of evaluations to skip for pagination (default: 0)


**Returns:**

- `user_id`: The authenticated user's ID
- `evaluations`: List of evaluation objects
- `total`: Total number of evaluations matching the filters
- `limit`: Requested page size
- `offset`: Current pagination offset


**Example Request:**

```json
GET /api/v3/evaluations?status=READY&limit=5&offset=0
Headers: {"Authorization": "Bearer <api_key>"}
```


**Example Response:**

```json
{"user_id":"01KKBERWEEM634BQW9BK6Y0Y",
    "evaluations":
    [{"evaluation_id":"eval_01KKJHBNFY9STH1C9",
    "model_id":"aligned-model-01kmqm4nrn9fw6r",
    "benchmark_id":"benchmark_01KKBN96Q34K8807Q",
    "status":"READY",
    "judge_provider":"nugen",
    "created_at":"2026-03-10T10:43:12.826791",
    "metrics":
        {"base_model":
            {"answer_relevance_max":1.0,
            "answer_relevance_min":1.0,
            "answer_relevance_std":0.0,
            "answer_relevance_mean":1.0,
            "binary_correctness_max":1.0,
            "binary_correctness_min":1.0,
            "binary_correctness_std":0.0,
            "binary_correctness_mean":1.0},
        "eval_model":
            {"answer_relevance_max":1.0,
            "answer_relevance_min":1.0,
            "answer_relevance_std":0.0,
            "answer_relevance_mean":1.0,
            "binary_correctness_max":1.0,
            "binary_correctness_min":1.0,
            "binary_correctness_std":0.0,
            "binary_correctness_mean":1.0},
        "comparison":
            {"metrics":
            [{"base":1.0,"metric":"binary_correctness_mean","evaluated":1.0,"improvement_%":0.0},
            {"base":0.0,"metric":"binary_correctness_std","evaluated":0.0,"improvement_%":0},
            {"base":1.0,"metric":"binary_correctness_min","evaluated":1.0,"improvement_%":0.0},
            {"base":1.0,"metric":"binary_correctness_max","evaluated":1.0,"improvement_%":0.0},
            {"base":1.0,"metric":"answer_relevance_mean","evaluated":1.0,"improvement_%":0.0},
            {"base":0.0,"metric":"answer_relevance_std","evaluated":0.0,"improvement_%":0},
            {"base":1.0,"metric":"answer_relevance_min","evaluated":1.0,"improvement_%":0.0},
            {"base":1.0,"metric":"answer_relevance_max","evaluated":1.0,"improvement_%":0.0}],
        "summary":{"avg_improvement":0.0,"max_improvement":0.0,"min_improvement":0.0}}}}],
    "total":1,"limit":10,"offset":0}
```



## OpenAPI

````yaml https://api.nugen.in/openapi-public.json get /api/v3/evaluations/list
openapi: 3.1.0
info:
  title: Nugen Intelligence API
  description: 'Nugen Intelligence : Powering Specialized Intelligence At Scale'
  version: 25.4.20
servers: []
security: []
paths:
  /api/v3/evaluations/list:
    get:
      tags:
        - General
      summary: List Evaluations
      description: >-
        Retrieve all evaluations for the authenticated user.



        This endpoint returns a paginated list of all evaluations created by the
        user, with optional filtering by status or model ID.



        **Query Parameters:**


        - `status` (optional): Filter by evaluation status (`PROCESSING`,
        `READY`, `FAILED`)

        - `model_id` (optional): Filter by specific model ID

        - `limit` (optional): Number of evaluations to return (1-100, default:
        10)

        - `offset` (optional): Number of evaluations to skip for pagination
        (default: 0)



        **Returns:**


        - `user_id`: The authenticated user's ID

        - `evaluations`: List of evaluation objects

        - `total`: Total number of evaluations matching the filters

        - `limit`: Requested page size

        - `offset`: Current pagination offset



        **Example Request:**


        ```json

        GET /api/v3/evaluations?status=READY&limit=5&offset=0

        Headers: {"Authorization": "Bearer <api_key>"}

        ```



        **Example Response:**


        ```json

        {"user_id":"01KKBERWEEM634BQW9BK6Y0Y",
            "evaluations":
            [{"evaluation_id":"eval_01KKJHBNFY9STH1C9",
            "model_id":"aligned-model-01kmqm4nrn9fw6r",
            "benchmark_id":"benchmark_01KKBN96Q34K8807Q",
            "status":"READY",
            "judge_provider":"nugen",
            "created_at":"2026-03-10T10:43:12.826791",
            "metrics":
                {"base_model":
                    {"answer_relevance_max":1.0,
                    "answer_relevance_min":1.0,
                    "answer_relevance_std":0.0,
                    "answer_relevance_mean":1.0,
                    "binary_correctness_max":1.0,
                    "binary_correctness_min":1.0,
                    "binary_correctness_std":0.0,
                    "binary_correctness_mean":1.0},
                "eval_model":
                    {"answer_relevance_max":1.0,
                    "answer_relevance_min":1.0,
                    "answer_relevance_std":0.0,
                    "answer_relevance_mean":1.0,
                    "binary_correctness_max":1.0,
                    "binary_correctness_min":1.0,
                    "binary_correctness_std":0.0,
                    "binary_correctness_mean":1.0},
                "comparison":
                    {"metrics":
                    [{"base":1.0,"metric":"binary_correctness_mean","evaluated":1.0,"improvement_%":0.0},
                    {"base":0.0,"metric":"binary_correctness_std","evaluated":0.0,"improvement_%":0},
                    {"base":1.0,"metric":"binary_correctness_min","evaluated":1.0,"improvement_%":0.0},
                    {"base":1.0,"metric":"binary_correctness_max","evaluated":1.0,"improvement_%":0.0},
                    {"base":1.0,"metric":"answer_relevance_mean","evaluated":1.0,"improvement_%":0.0},
                    {"base":0.0,"metric":"answer_relevance_std","evaluated":0.0,"improvement_%":0},
                    {"base":1.0,"metric":"answer_relevance_min","evaluated":1.0,"improvement_%":0.0},
                    {"base":1.0,"metric":"answer_relevance_max","evaluated":1.0,"improvement_%":0.0}],
                "summary":{"avg_improvement":0.0,"max_improvement":0.0,"min_improvement":0.0}}}}],
            "total":1,"limit":10,"offset":0}
        ```
      operationId: evaluations_list
      parameters:
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by evaluation status
            title: Status
          description: Filter by evaluation status
        - name: model_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by model ID
            title: Model Id
          description: Filter by model ID
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Number of evaluations to return
            default: 10
            title: Limit
          description: Number of evaluations to return
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Number of evaluations to skip
            default: 0
            title: Offset
          description: Number of evaluations to skip
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````